/* ./src/index.css */
@tailwind base;
@tailwind components;
@tailwind utilities;

.main {
  @apply flex items-center justify-center w-screen min-h-screen bg-gray-900;
  padding: 10%;
}

.greetings {
  @apply font-bold text-white text-9xl;
}

.section {
  &-xl {
    @apply xl:container bg-gray-100 p-4;
  }
  
  &__title {
    @apply text-center text-black text-xl sm:text-3xl font-bold pb-8;
  }
}

.grid--responsive {
  @apply grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 gap-4;
}

.card {
  @apply rounded bg-white shadow-lg;

  &__img {
    @apply relative w-full h-0;
    padding-bottom: 50%;

    img {
      @apply absolute top-0 left-0 w-full h-full object-cover rounded-t;
    }
  }

  &__body {
    @apply max-h-36 overflow-y-auto	p-4;
  }

  &__title {
    @apply text-black	font-bold pb-2;
  }

  &__quote {
    @apply text-gray-800;
  }
}
